Subject: Re: bug#53969: 29.0.50; display frame parameter set incorrectly on pgtk

From: Po Lu <[email-masked]>
Date: Mon, 14 Feb 2022 18:49:47 +0800

Andrew Tropin <[email-masked]> writes:

> I hope I did everything correctly:
>
> Breakpoint 1, decode_options (argc=2, argv=0x7fffffffcbd8) at emacsclient.c:625
> 625	  if (display && !display[0])
> (gdb) p display
> $7 = 0x7fffffffe926 "wayland-1"
>
>
> The same binary started from terminal:
>
> ./lib-src/emacsclient --eval '(x-display-list)'
> ("wayland-0")

So upon some further digging, it seems `gdk_display_get_name' always
returns "wayland-0" in that specific case.

I don't know what to do.  It looks like a bug in GTK, which I will try
to report in the coming weeks.  Would it suffice for browse-url to not
touch `WAYLAND_DISPLAY' until that is resolved?

Thanks.